# ELECTRIC

## ABOUT Electric

Electric is a 2-D, top-down in-flight shooter.  
Fight enemy forces as four air forces converge and battle in an intense team deathmatch vs. smart AI planes.

* Fly with a team, or take on enemies solo.
* Upgrade your plane to stay at the top of the battlefield.
* Use your favorite controller, or play with the classic keyboard.
* Customize your team with colors and liveries.

## ABOUT THIS PROJECT

This repo is for the post-release maintenance of Electric.  
Any new patches for bugfixes, enhancements, or cleanup will come from here.

### What we will do:

* Improve performance over Electric 1.0
* Fix bugs present in Electric 1.0
* Add features missing from Electric 1.0 that still fit with the spirit of the original
* Add Mac/Linux support
* Make code more efficient
* Create original music

### What we will not do:

* Change fundamental game mechanics
* Deviate from the original purpose of the game
* Deviate from the original look and feel of the game
* Be an "early access" style rolling game

## INSTALLING

### Installer code will not be available at this time for this project.
1. You will need to compile the source code (electric.bas) yourself while maintaining the original directory structure  
You'll need Windows and an IDE called QB64 to build this, as it is written in a dialect of QuickBASIC
 * Yes, it'll run on modern computers

2. You may either use the download button above to get a compressed version of this code, or you can use a Git client.  
To use the Git client to clone this repository, issure the following command:  
`git clone http://creamery.cheesewatergames.tk/rdmarsee/Electric.git`

3. Download and install QB64
4. Open your QB64 IDE and navigate to the Electric folder
5. Open "electric.bas"
6. In the QB64 window, select Run->Save EXE in the source folder

### Optional:
You may want to increase the size of the window in Options->Display and increasing Width and Height  
To build and run, select Run->Start -or- hit F5 on your keyboard.  
The Electric executible will now be in the Electric folder, ready to be run directly wihtout QB64.

## BRANCHES
There are currently two branches you may clone.

### Master - This is the default, and preferred branch.
* Master will be kept clean and stable. If you follow proper procedure, it will always build on QB64 1.1
* Master will also keep runtime errors to a minimum.
 * In fact, if you find a runtime error using Master, please log an issue to the issue tracker
 * You may also report any gameplay bugs or grievances for this branch
  * Do not report bugs or suggestions here that apply only to Electric 1_1. They'll be ignored.

### 1_1 - This is where the rapid development takes place.
* Changes that may potentially break the game from time to time will be made here
* Expect runtime errors and occasional build errors.
* Again, any runtime or build errors you see, please log in the issues tracker under this branch
 * Do not log gameplay bugs or grievances in this branch - we're already working on them.

### In the future, there will be a 1_2 branch.
At that time, 1.1 will become dormant and all new development will be focused towards 1.2
* Exceptions for the 1_1 dormancy will be to fix critical bugs
* There will be a final, binary release of 1_1 on the website.

### The game will be legacied after version 1_2

## FORKING
Feel free to fork this project for your own purposes. WITH SOME MINOR EXCEPTIONS  
No matter how much you modify it, PLEASE give Cheese-Water Games credit for providing the original code.  
Also, please don't simply re-release our code as-is under a different name. At least modify something.

## THANK YOU!!!


#### ABOUT CHEESE-WATER GAMES

Cheese-Water Games is the website for games made by Cheese-Water.

Why Cheese-Water?  It’s a long story, so I won’t bore you with it.

I am a learning indie programmer who is trying very hard to make a future for myself.  I am learning as I go, and, through this site, I invite you along for the ride.  Things won’t always be pretty, but hopefully, will always be better than before.

…

Normally, a classic programmer would probably end this with “Hello, world,” but I think I prefer “Oi, Earth!”
